Skip to main content
GET
/
v1
/
wikis
/
{wiki_id}
/
jobs
/
{job_id}
/
outcome
Job Outcome
curl --request GET \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/jobs/{job_id}/outcome \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/jobs/{job_id}/outcome"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/jobs/{job_id}/outcome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "imports": [
    {
      "error": "<string>",
      "original_path": "<string>",
      "source_path": "<string>"
    }
  ],
  "job": {
    "created_at": "<string>",
    "current_step": "<string>",
    "error": "<string>",
    "finished_at": "<string>",
    "job_id": "<string>",
    "started_at": "<string>",
    "status_label": "<string>",
    "summary": "<string>",
    "updated_at": "<string>",
    "wiki_id": "<string>"
  },
  "pages": [
    {
      "slug": "<string>",
      "title": "<string>"
    }
  ],
  "sources": [
    {
      "path": "<string>",
      "previous_path": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

wiki_id
string
required
job_id
string
required

Response

Successful Response

imports
JobImportOutcome · object[]
required
job
Job · object
required
pages
JobPageChange · object[]
required
sources
JobSourceChange · object[]
required